Package ru.bitel.bgbilling.kernel.bgsecure.common.service

# Interface UserService

public interface UserService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SearchResult<BGSQueryLogEntry>`
  `bgsQueryLog(BGSQueryLogParam bgsQueryLogParam, Period period, Page page)`
  `org.json.JSONObject`
  `contractParameters(int parameterTypeId)`
  `void`
  `deleteUser(int userId)`
  `SearchResult<User>`
  `findUsers(String field, String value, int status, int group, Page page, int roleId)`
  `String`
  `getCurrentUserEmail()`
  `User`
  `getUser(int userId)`
  `List<UserRightRule>`
  `getUserRightRules(int rightGroupId)`
  `String`
  `groupMenuRestriction(int groupId)`
  `void`
  `groupMenuRestrictionSet(int groupId, List<String> menuIds)`
  `GroupRight`
  `groupRightTree()`
  `List<User>`
  `listUsers()`
  `List<BGSAction>`
  `loadUserActions(int userId)`
  Загрузка списка действий пользователя.
  `void`
  `updateUser(User user, List<Integer> groups)`
  `UserRightRule`
  `updateUserRightRule(UserRightRule userRightRule)`
  `UserInfo`
  `userInfoGet(int userId)`
  Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
  `List<UserInfo>`
  `userInfoList()`
  `String`
  `userMenuDataDefault()`
  `String`
  `userMenuDataGet(int userMenuId)`
  `void`
  `userMenuDataUpdate(int userMenuId, String data)`
  `void`
  `userMenuDelete(int userMenuId)`
  `List<MenuItem>`
  `userMenuList(boolean addDefault)`
  `String`
  `userMenuRestriction(int userId)`
  `void`
  `userMenuRestrictionSet(int userId, List<String> menuIds)`
  `MenuItem`
  `userMenuUpdate(MenuItem menuItem)`

- ## Method Details

  - ### getCurrentUserEmail

    String getCurrentUserEmail() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findUsers

    SearchResult<User> findUsers(String field, String value, int status, int group, Page page, int roleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteUser

    void deleteUser(int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getUser

    User getUser(int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateUser

    void updateUser(User user, List<Integer> groups) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listUsers

    List<User> listUsers() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### loadUserActions

    List<BGSAction> loadUserActions(int userId) throws ru.bitel.bgbilling.common.BGException
    Загрузка списка действий пользователя.
    Parameters:
      `userId` - код пользователя.
    Returns:
      список действий пользователя.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userInfoGet

    UserInfo userInfoGet(int userId) throws ru.bitel.bgbilling.common.BGException
    Получение ид-имя пользователя, можно не боясь по каждому чиху его тянуть, так как реализован через DirectoryItem.
    но, при условии что достается только так :getContext().getDirectory( UserInfo.class ). ... иначе если напрямую, то никакого кеширования не будет.
    Parameters:
      `userId` - - код пользователя.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userInfoList

    List<UserInfo> userInfoList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuRestriction

    String userMenuRestriction(int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupMenuRestriction

    String groupMenuRestriction(int groupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuRestrictionSet

    void userMenuRestrictionSet(int userId, List<String> menuIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupMenuRestrictionSet

    void groupMenuRestrictionSet(int groupId, List<String> menuIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuList

    List<MenuItem> userMenuList(boolean addDefault) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuUpdate

    MenuItem userMenuUpdate(MenuItem menuItem) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuDelete

    void userMenuDelete(int userMenuId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuDataDefault

    String userMenuDataDefault() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuDataGet

    String userMenuDataGet(int userMenuId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### userMenuDataUpdate

    void userMenuDataUpdate(int userMenuId, String data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractParameters

    org.json.JSONObject contractParameters(int parameterTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### groupRightTree

    GroupRight groupRightTree() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getUserRightRules

    List<UserRightRule> getUserRightRules(int rightGroupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateUserRightRule

    UserRightRule updateUserRightRule(UserRightRule userRightRule) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### bgsQueryLog

    SearchResult<BGSQueryLogEntry> bgsQueryLog(BGSQueryLogParam bgsQueryLogParam, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`